import { BuiltInFunctionBase } from "./BuiltInFunctionBase";
import { ExcelCalcValue } from "./ExcelCalcValue";
import { ExcelCalcNumberStack } from "./ExcelCalcNumberStack";
import { Type } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class UltraCalcFunctionCombin extends BuiltInFunctionBase {
    static $t: Type;
    protected evaluate(a: ExcelCalcNumberStack, b: number): ExcelCalcValue;
    static _am(a: number, b: number, c: boolean): number;
    private static _ak;
    private static _al;
    private static _an;
    protected get_name(): string;
    readonly name: string;
    protected get_minArgs(): number;
    readonly minArgs: number;
    protected get_maxArgs(): number;
    readonly maxArgs: number;
}
